# $Revision: 1.10.2.2 $, $Date: 2003/08/14 12:49:47 $
Summary:	Library of graphics routines used by libgnomecanvas
Summary(pl):	Biblioteka funkcji graficznych uywanych przez libgnomecanvas
Name:		libart_lgpl
Version:	2.3.14
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/2.3/%{name}-%{version}.tar.bz2
# Source0-md5:	a253a54758d0dfb51f754837a0b76138
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libart_lgpl2

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Graphics routines used by the GnomeCanvas widget and some other
applications. libart renders vector paths and the like.

%description -l pl
Funkcje graficzne uywane przez widget GnomeCanvas i troch innych
aplikacji. libart renderuje cieki wektorw i tym podobne.

%package devel
Summary:	Headers for libart_lgpl
Summary(pl):	Pliki nagowkowe libart_lgpl
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Conflicts:	gnome-libs-devel < 1.4.1.2
Obsoletes:	libart_lgpl2-devel

%description devel
Header files for libart_lgpl.

%description devel -l pl
Pliki nagwkowe do biblioteki libart_lgpl.

%package static
Summary:	Static libart_lgpl library
Summary(pl):	Statyczna biblioteka libart_lgpl
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}
Conflicts:	gnome-libs-static < 1.4.1.2

%description static
Static version of libart_lgpl library.

%description static -l pl
Statyczna wersja biblioteki libart_lgpl.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libart2-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libart_lgpl.spec,v $
Revision 1.10.2.2  2003/08/14 12:49:47  trojan
- updated to 2.3.14
- added md5sum
- fixed %%files

Revision 1.10.2.1  2003/07/11 12:01:39  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.10  2002/07/07 18:40:56  qboosh
- updated to 2.3.10 (bug fixes)
- new %%doc, removed linking fix (already in sources)

Revision 1.9  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/24 20:44:35  qboosh
- library uses math functions so it should be linked with -lm
- release 2

Revision 1.6  2002/04/23 15:24:17  kloczek
- added regenerate ac/am/lt files.

Revision 1.5  2002/04/13 14:13:34  michuz
- fixed pkgconfigdir

Revision 1.4  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/05 15:40:38  qboosh
- separated -static, gzip doc, added pl translations

Revision 1.2  2002/02/01 19:05:14  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on spec from RedHad.
